# Screen lock set state

An action block that temporarily disables or reenables the screen lock (keyguard).

The fiber will proceed immediately without pause.

Each fiber has its own screen lock, and it’s only temporarily disabled while the fiber is running, or until it has been explicitly reenabled. Reenabling a screen lock without first having disabled it does nothing, for that case use the Device lock. So to not to interrupt the user, use the Device interactive block to ensure the device is “non-interactive” before reenabling the lock screen.

Pressing the power button may override a temporarily disabled screen lock.

Note! The secure option requires a rooted device and isn’t officially supported by Android, may not work on all devices.

## Options

- Secure — When enabled, a rooted device is required to support secure screen locks (PIN, pattern, password, etc.). When disabled, only insecure screen locks (swipe) are supported.

## Input arguments

- Lock screen — whether to disable or reenable the screen lock, default is disable.